## zope.security 7.3

=== docs/requirements.txt ===
Sphinx
repoze.sphinx.autointerface
sphinx_rtd_theme>1
docutils<0.19
zope.security

## zope.security 3.8.3

=== debian/changelog ===
zope.security (3.8.3-2ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
    - Add metapackage for untrustedpython extra

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 14 Nov 2011 22:29:48 +0200

zope.security (3.8.3-2) unstable; urgency=low

  * Team upload.
  * Use debian/source/options to ignore changes in egg-info directory
    rather than debian/clean otherwise zcml and txt files are missing.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 20:59:35 +0900

zope.security (3.8.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Use dh_python2 instead of deprecated python-central. (Closes: #617176)
  * debian/copyright: update, convert to dep5 format.
  * Switch to 3.0 (quilt) source format.
  * debian/control: add Homepage and Vcs-Browser fields.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if built
    twice.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 18 Oct 2011 18:48:03 +0300

zope.security (3.8.2.is.3.8.0-0ubuntu1) oneiric; urgency=low

  * Go back to 3.8.0 because a change in 3.8.1 breaks schooltool. (LP: #859090)

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 25 Sep 2011 21:30:07 +0300

zope.security (3.8.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixes all copyright/license issues.
  * debian/copyright: update for copyright holder and dep5 change.
  * Use dh_python2 instead of deprecated python-central. (Closes: #617176)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 11 Aug 2011 17:36:39 +0300

zope.security (3.7.4-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Fix ZPL version in some file headers.
  * debian/copyright: add a section for include/zope.proxy that has a
    different copyright holder.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 17 Mar 2011 17:03:27 +0200

zope.security (3.7.3-0ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:18:16 +0000

zope.security (3.7.3-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * LICENSE.txt: add the license.
  * debian/copyright: update, convert to dep5 format.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 07 Sep 2010 18:51:12 +0300

zope.security (3.7.2-1ubuntu3) maverick; urgency=low

  * Upload to Maverick (LP: #542634).

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 26 Jul 2010 17:45:05 +0300

zope.security (3.7.2-1ubuntu2) karmic; urgency=low

  * debian/python-zope.security.install: add to install all files into main
    package.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 01 Apr 2010 15:58:48 +0300

zope.security (3.7.2-1ubuntu1) karmic; urgency=low

  * Add metapackage for untrustedpython extra

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 30 Mar 2010 17:24:15 +0300

zope.security (3.7.2-1) unstable; urgency=low

  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Jan 2010 22:28:03 +0100

zope.security (3.7.1-3) unstable; urgency=low

  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552928)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:17:49 +0100

zope.security (3.7.1-2) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.
  * Don't include C source in the package.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2009 10:35:44 +0200

zope.security (3.7.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3, no changed required.
  * debian/control: added conflict with zope3.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 10:49:21 +0200

zope.security (3.7.0-3) unstable; urgency=low

  * Don't depend on restricted python (we just don't offer that
    functionality). However, we still need it for tests.

 -- Brian Sutherland <brian@vanguardistas.net>  Fri, 12 Jun 2009 09:17:08 +0200

zope.security (3.7.0-2) unstable; urgency=low

  * Remove cruft.

 -- Brian Sutherland <brian@vanguardistas.net>  Sun, 07 Jun 2009 12:58:29 +0200

zope.security (3.7.0-1) unstable; urgency=low

  * New upstream release

 -- Brian Sutherland <brian@vanguardistas.net>  Sun, 07 Jun 2009 11:50:56 +0200

zope.security (3.4.0-1ubuntu4.3) unstable; urgency=low

  * Change Source package name.
  * dh_compat => 7
  * Better description
  * Add watch and copyright files
  * standards 3.8.1
  * Build with python-van.pydeb
  * Build for all python versions

 -- Brian Sutherland <brian@vanguardistas.net>  Sun, 07 Jun 2009 11:46:09 +0200

python-zope.security (3.4.0-1ubuntu4.2) lenny; urgency=low

  * Non-maintainer upload.
  * Rebuild for lenny

 -- Brian Sutherland <brian@vanguardistas.net>  Fri, 08 May 2009 11:19:43 +0000

python-zope.security (3.4.0-1ubuntu4.1) etch-devel; urgency=low

  * Non-maintainer upload.
  * Rebuild for etch-devel

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 23 Jul 2008 09:47:19 +0200

python-zope.security (3.4.0-1ubuntu4) hardy; urgency=low

  * Make a new hardy release

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Mon, 28 Apr 2008 15:42:24 +0300

python-zope.security (3.4.0-1ubuntu3) gutsy; urgency=low

  * Fix architecture to get 64 bit packages working properly

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Mon, 28 Apr 2008 15:42:16 +0300

python-zope.security (3.4.0-1ubuntu2) hardy; urgency=low

  * Re-build for hardy

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Wed, 23 Apr 2008 11:19:25 +0300

python-zope.security (3.4.0-1ubuntu1) gutsy; urgency=low

  * Update dependencies

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Fri, 11 Apr 2008 20:52:50 +0300

python-zope.security (3.4.0-1) gutsy; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Thu,  8 Nov 2007 19:27:48 +0100

=== debian/control ===
Source: zope.security
Section: zope
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>, Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7),
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.security/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.security/trunk
Homepage: http://pypi.python.org/pypi/zope.security

Package: python-zope.security
Architecture: any
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${pydeb:Provides}
Suggests: ${pydeb:Suggests}
Conflicts: zope3
Description: Zope Security Framework
 The Security framework provides a generic mechanism to implement security
 policies on Python objects.

Package: python-zope.security-untrustedpython
Architecture: all
Depends: python-zope.security (>= ${binary:Version}), ${pydeb:Depends}, ${misc:Depends}
Description: Zope Security Framework - Untrusted interpreter support
 Provides support for compiling untrusted code

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test pytz
export PYDEB_METAPACKAGE_EXTRAS=untrustedpython

%:
	dh --with pydeb --with python2 $@

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testing, python-restrictedpython, python-tz, python-zope.configuration

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.security/zope.security-(.*)\.(?:tar\.gz|zip)

## zope.security 4.0.1

=== debian/changelog ===
zope.security (4.0.1-1ubuntu2) utopic; urgency=medium

  * Now that we have python-zope.untrustedpython, remove the legacy
    python-zope.security-untrustedpython binary package once and for all.
  * d/control: Add Provides: python-zope.security.zcml virtual package to
    python-zope.security.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 21 Jul 2014 17:25:07 -0400

zope.security (4.0.1-1ubuntu1) utopic; urgency=medium

  * Restore Ubuntu deltas to Debian package, for compatibility with
    Ubuntu-only Zope stack packages (Python 2 only):
    - Restore python-zope.security-zcml Provides to the
      python-zope.security binary package.
    - Restore the (empty) python-zope.security-untrustedpython binary package.

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 09 Jul 2014 13:57:07 -0400

zope.security (4.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    - Added myself to Uploaders.
    - Updated Build-Depends.
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Added X-Python3-Version header.
    - Added python3-zope.security binary package.
    - Added XS-Testsuite header.  Closes: #692700
    - wrap-and-sort
  * d/rules: Converted to --buildsystem=pybuild and added dh_python3.
  * d/compat: Bumped to version 9.
  * d/copyright:
    - Added Files-Excluded header to prune pre-built Sphinx artifacts in
      docs/_build from the original tarball.
    - Fixed Format header.
  * d/tests:
    - control: Added all-3 test and simplified Depends.
    - all{,-3}: Just prove a simple import works.

 -- Barry Warsaw <barry@debian.org>  Thu, 26 Jun 2014 15:54:49 -0400

=== debian/control ===
Source: zope.security
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python-zope.component,
               python-zope.configuration,
               python-zope.i18nmessageid,
               python-zope.location,
               python-zope.proxy,
               python-zope.schema,
               python-zope.testing,
               python-zope.testrunner,
               python3-all-dev,
               python3-setuptools,
               python3-zope.component,
               python3-zope.configuration,
               python3-zope.i18nmessageid,
               python3-zope.location,
               python3-zope.proxy,
               python3-zope.schema,
               python3-zope.testing,
               python3-zope.testrunner
Standards-Version: 3.9.5
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.security/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.security/trunk
Homepage: http://pypi.python.org/pypi/zope.security
XS-Testsuite: autopkgtest

Package: python-zope.security
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Conflicts: zope3
Provides: python-zope.security-zcml
Description: Zope Security Framework
 The Security framework provides a generic mechanism to implement security
 policies on Python objects.
 .
 This is the Python 2 version.

Package: python3-zope.security
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Zope Security Framework
 The Security framework provides a generic mechanism to implement security
 policies on Python objects.
 .
 This is the Python 3 version.

## zope.security 4.0.3

=== debian/changelog ===
zope.security (4.0.3-2) unstable; urgency=medium

  * d/tests:
    - control: Use the simpler Test-Command syntax.
    - all{,-3}: Removed.

 -- Barry Warsaw <barry@debian.org>  Thu, 05 Nov 2015 10:08:15 -0500

zope.security (4.0.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version with no other changes necessary.
  * d/watch: Use pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Thu, 11 Jun 2015 17:05:37 -0400

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                python3-zope.proxy,
                python3-zope.schema,
                python3-zope.testing,
-               python3-zope.testrunner
-Standards-Version: 3.9.5
+               python3-zope.testrunner,
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.security/trunk
@@ -39,7 +39,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Conflicts: zope3
-Provides: python-zope.security-zcml
 Description: Zope Security Framework
  The Security framework provides a generic mechanism to implement security
  policies on Python objects.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.security

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python -c "import zope.security; print zope.security"

Test-Command: python3 -c "import zope.security; print(zope.security)"

## zope.security 5.1.0

=== debian/changelog ===
zope.security (5.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Feb 2020 13:25:27 +0100

zope.security (4.0.3-4) unstable; urgency=medium

  * QA upload.
  * Convert to autopkgtest-pkg-python

 -- Paul Gevers <elbrus@debian.org>  Fri, 20 Sep 2019 22:37:10 +0200

zope.security (4.0.3-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869465
  * Stop building the Python2 package. Closes: #938914
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 08:49:27 +0200

=== debian/control ===
Source: zope.security
Section: zope
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all-dev,
               python3-btrees,
               python3-nose,
               python3-setuptools,
               python3-zope.component,
               python3-zope.configuration,
               python3-zope.i18nmessageid,
               python3-zope.location,
               python3-zope.proxy,
               python3-zope.schema,
               python3-zope.testing,
               python3-zope.testrunner,
Standards-Version: 4.5.0
Homepage: http://pypi.python.org/pypi/zope.security
Testsuite: autopkgtest-pkg-python

Package: python3-zope.security
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Zope Security Framework
 The Security framework provides a generic mechanism to implement security
 policies on Python objects.
 .
 This is the Python 3 version.

## zope.security 5.1.1

=== debian/changelog ===
zope.security (5.1.1-1build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:07:30 +0100

zope.security (5.1.1-1build3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 13:33:32 +0200

zope.security (5.1.1-1build1) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:46:16 +0100

zope.security (5.1.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Priority: extra -> optional

 -- Adrian Bunk <bunk@debian.org>  Sat, 17 Oct 2020 00:51:44 +0300

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.security

%:
	dh $@ --with python3 --buildsystem=pybuild

## zope.security 5.3

=== debian/changelog ===
zope.security (5.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * d/copyright:
    - Drop files excluded, files is no longer shipped with source tarball.
    - Use secure URI.
    - Point source to GitHub.
    - Update copyrighted year.
  * Drop d/compat, use debhelper-compat instead.
  * d/control:
    - Update Standards-Version to 4.6.1
    - Bump debhelper to 13
    - Point homepage to GitHub.
    - Drop autopkgtest-pkg-python in favor of upstream unittest.
    - Document Rules-Requires-Root
  * Add upstream metadata: Bug-Database, Bug-Submit, Repository
    and Repository-Browse.
  * d/rules: Add hardening features at compile time.
  * Add upstream unittest as autopkgtest.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 17 May 2022 09:39:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: zope.security
 Section: zope
-Priority: extra
+Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-btrees,
@@ -16,9 +16,9 @@
                python3-zope.schema,
                python3-zope.testing,
                python3-zope.testrunner,
-Standards-Version: 4.5.0
-Homepage: http://pypi.python.org/pypi/zope.security
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.6.1
+Homepage: https://github.com/zopefoundation/zope.security
+Rules-Requires-Root: no
 
 Package: python3-zope.security
 Architecture: any

## zope.security 5.8

=== debian/changelog ===
zope.security (5.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Change from nose to pytest. Closes: #1018676
    Using Colin Watson implementation from zope.interface.
  * Drop zope.testrunner as BD, mark BD used for testing with '!nocheck'

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 11 Dec 2022 14:43:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
-               python3-btrees,
-               python3-nose,
+               python3-btrees <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-zope.component,
-               python3-zope.configuration,
+               python3-zope.configuration <!nocheck>,
+               python3-zope.exceptions <!nocheck>,
                python3-zope.i18nmessageid,
                python3-zope.location,
                python3-zope.proxy,
                python3-zope.schema,
-               python3-zope.testing,
-               python3-zope.testrunner,
+               python3-zope.testing <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://github.com/zopefoundation/zope.security
 Rules-Requires-Root: no

## zope.security 6.2

=== debian/changelog ===
zope.security (6.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:48:16 +0000

zope.security (6.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream version, compatible with Python 3.12.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Nov 2023 08:24:23 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                python3-zope.exceptions <!nocheck>,
                python3-zope.i18nmessageid,
                python3-zope.location,
-               python3-zope.proxy,
+               python3-zope.proxy (>= 5.1),
                python3-zope.schema,
                python3-zope.testing <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/zopefoundation/zope.security
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.security
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

## zope.security 7.0

=== debian/changelog ===
zope.security (7.0-1) unstable; urgency=medium

  * Adopt package for the Debian Python Team (closes: #948815).
  * New upstream release.
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Jun 2024 14:46:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zope.security
 Section: zope
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
@@ -13,12 +14,14 @@
                python3-zope.exceptions <!nocheck>,
                python3-zope.i18nmessageid,
                python3-zope.location,
-               python3-zope.proxy (>= 5.1),
+               python3-zope.proxy (>= 5.2),
                python3-zope.schema,
                python3-zope.testing <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/zopefoundation/zope.security
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.security
+Vcs-Git: https://salsa.debian.org/python-team/packages/zope.security.git
 
 Package: python3-zope.security
 Architecture: any

## zope.security 7.3

=== debian/changelog ===
zope.security (7.3-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:20:11 +0000

zope.security (7.3-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:48:12 +0000

zope.security (7.3-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:19 +0100

zope.security (7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Oct 2024 14:32:04 +0100

zope.security (7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Sep 2024 21:47:13 -0700

zope.security (7.1-1) unstable; urgency=medium

  * New upstream release.
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Aug 2024 10:11:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-btrees <!nocheck>,
                python3-pytest <!nocheck>,

## zope.security 8.0

=== debian/changelog ===
zope.security (8.0-1) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * New upstream release.
  * Fix zope.security._zope_security_checker extension build failure with
    C23.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 12:07:49 +0100

## zope.security 8.1

=== debian/changelog ===
zope.security (8.1-1) unstable; urgency=medium

  * New upstream release.
  * Pass "-o consider_namespace_packages=true" to pytest in autopkgtest.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Sep 2025 10:48:22 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-zope.proxy (>= 5.2),
                python3-zope.schema,
                python3-zope.testing <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/zopefoundation/zope.security
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.security

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.security
export PYBUILD_TEST_ARGS = -o consider_namespace_packages=true
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild

## zope.security 8.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopesecurity.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopesecurity.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zopesecurity"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zopesecurity"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
zope.security (8.2-1) unstable; urgency=medium

  * New upstream release:
    - Remove run-time dependency on `setuptools` (closes: #1084018).

 -- Colin Watson <cjwatson@debian.org>  Sat, 01 Nov 2025 18:26:46 +0000

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/zope.security/
Matching-Pattern: zope.security-@ANY_VERSION@@ARCHIVE_EXT@

## zope.security 8.3

=== docs/requirements.txt ===
Sphinx
repoze.sphinx.autointerface
furo
zope.security

=== debian/changelog ===
zope.security (8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Nov 2025 10:46:14 +0000
